# Form implementation generated from reading ui file 'src/eric7/DataViews/CodeMetricsDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_CodeMetricsDialog(object):
    def setupUi(self, CodeMetricsDialog):
        CodeMetricsDialog.setObjectName("CodeMetricsDialog")
        CodeMetricsDialog.resize(832, 587)
        CodeMetricsDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(CodeMetricsDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.filterFrame = QtWidgets.QFrame(parent=CodeMetricsDialog)
        self.filterFrame.setFrameShape(QtWidgets.QFrame.Shape.NoFrame)
        self.filterFrame.setFrameShadow(QtWidgets.QFrame.Shadow.Raised)
        self.filterFrame.setObjectName("filterFrame")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.filterFrame)
        self.horizontalLayout.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label_2 = QtWidgets.QLabel(parent=self.filterFrame)
        self.label_2.setObjectName("label_2")
        self.horizontalLayout.addWidget(self.label_2)
        self.excludeFilesEdit = QtWidgets.QLineEdit(parent=self.filterFrame)
        self.excludeFilesEdit.setClearButtonEnabled(True)
        self.excludeFilesEdit.setObjectName("excludeFilesEdit")
        self.horizontalLayout.addWidget(self.excludeFilesEdit)
        self.line = QtWidgets.QFrame(parent=self.filterFrame)
        self.line.setLineWidth(2)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.VLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.horizontalLayout.addWidget(self.line)
        self.startButton = QtWidgets.QPushButton(parent=self.filterFrame)
        self.startButton.setObjectName("startButton")
        self.horizontalLayout.addWidget(self.startButton)
        self.verticalLayout.addWidget(self.filterFrame)
        self.resultList = QtWidgets.QTreeWidget(parent=CodeMetricsDialog)
        self.resultList.setAlternatingRowColors(True)
        self.resultList.setObjectName("resultList")
        self.verticalLayout.addWidget(self.resultList)
        self.summaryList = QtWidgets.QTreeWidget(parent=CodeMetricsDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.summaryList.sizePolicy().hasHeightForWidth())
        self.summaryList.setSizePolicy(sizePolicy)
        self.summaryList.setAlternatingRowColors(True)
        self.summaryList.setObjectName("summaryList")
        self.verticalLayout.addWidget(self.summaryList)
        self.checkProgress = QtWidgets.QProgressBar(parent=CodeMetricsDialog)
        self.checkProgress.setProperty("value", 0)
        self.checkProgress.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.checkProgress.setObjectName("checkProgress")
        self.verticalLayout.addWidget(self.checkProgress)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=CodeMetricsDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(CodeMetricsDialog)
        QtCore.QMetaObject.connectSlotsByName(CodeMetricsDialog)
        CodeMetricsDialog.setTabOrder(self.startButton, self.excludeFilesEdit)
        CodeMetricsDialog.setTabOrder(self.excludeFilesEdit, self.resultList)
        CodeMetricsDialog.setTabOrder(self.resultList, self.summaryList)
        CodeMetricsDialog.setTabOrder(self.summaryList, self.buttonBox)

    def retranslateUi(self, CodeMetricsDialog):
        _translate = QtCore.QCoreApplication.translate
        CodeMetricsDialog.setWindowTitle(_translate("CodeMetricsDialog", "Code Metrics"))
        CodeMetricsDialog.setWhatsThis(_translate("CodeMetricsDialog", "<b>Code Metrics</b>\n"
"<p>This dialog shows some code metrics.</p>"))
        self.label_2.setText(_translate("CodeMetricsDialog", "Exclude Files:"))
        self.excludeFilesEdit.setToolTip(_translate("CodeMetricsDialog", "Enter filename patterns of files to be excluded separated by a comma"))
        self.startButton.setToolTip(_translate("CodeMetricsDialog", "Press to start the code metrics run"))
        self.startButton.setText(_translate("CodeMetricsDialog", "Start"))
        self.resultList.setWhatsThis(_translate("CodeMetricsDialog", "<b>Code metrics</b>\n"
"<p>This list shows some code metrics.</p>"))
        self.resultList.headerItem().setText(0, _translate("CodeMetricsDialog", "Name"))
        self.resultList.headerItem().setText(1, _translate("CodeMetricsDialog", "Start"))
        self.resultList.headerItem().setText(2, _translate("CodeMetricsDialog", "End"))
        self.resultList.headerItem().setText(3, _translate("CodeMetricsDialog", "Lines"))
        self.resultList.headerItem().setText(4, _translate("CodeMetricsDialog", "Lines of code"))
        self.resultList.headerItem().setText(5, _translate("CodeMetricsDialog", "Comments"))
        self.resultList.headerItem().setText(6, _translate("CodeMetricsDialog", "Empty"))
        self.summaryList.setWhatsThis(_translate("CodeMetricsDialog", "<b>Summary</b>\n"
"<p>This shows some overall code metrics.</p>"))
        self.summaryList.headerItem().setText(0, _translate("CodeMetricsDialog", "Summary"))
        self.summaryList.headerItem().setText(1, _translate("CodeMetricsDialog", "#"))
        self.checkProgress.setToolTip(_translate("CodeMetricsDialog", "Shows the progress of the code metrics action"))
        self.checkProgress.setFormat(_translate("CodeMetricsDialog", "%v/%m Files"))
